<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePaymentModulesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payment_modules', function (Blueprint $table) {
            $table->id();
            $table->string('operator')->nullable()->unique();
            $table->string('number')->nullable()->unique();
            $table->string('bank')->nullable()->unique();
            $table->string('swift_code')->nullable()->unique();
            $table->string('account_name')->nullable();
            $table->string('account')->nullable()->unique();
            $table->string('address')->nullable();
            $table->string('publish_status')->nullable()->default('unpublished');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payment_modules');
    }
}
